<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim;

use Shopware\Core\Framework\Context;
use Mefi\Inkasso\Components\Claim\Struct\ClaimStatusChangesFetchResult;

interface ClaimStatusHistoryServiceInterface
{
    /**
     * Gets the latest status changes of a claim and writes it to the database.
     */
    public function fetchClaimStatusChanges(Context $context): ClaimStatusChangesFetchResult;
}
