<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\ConfigReader;
use Mefi\Inkasso\Components\ConfigReader\Struct\Configuration;

interface ConfigReaderInterface
{
    public const SYSTEM_CONFIG_DOMAIN = 'MefiInkasso.settings.';

    public function read(string $salesChannelId = null, bool $inherit = true): Configuration;
}
