<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Builder\Hydrator;

use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;
use Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes\BuergelSuspect;

interface BuergelSuspectHydratorInterface
{
    public function hydrate(OrderAddressEntity $orderAddress, string $customerEmail): BuergelSuspect;
}
