<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits\HasBuergelSuspect;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits\HasJustification;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits\HasReference;

class ConCheckScoreRequestStruct extends Struct
{
    use HasBuergelSuspect;
    use HasJustification;
    use HasReference;

    public const JUSTIFICATION_CREDIT                   = 1;
    public const JUSTIFICATION_INITIAL_BUSINESS_CONTACT = 2;
    public const JUSTIFICATION_SOLVENCY_CHECK           = 3;
    public const JUSTIFICATION_CLAIM                    = 4;
}
