<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits;

use Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes\BuergelSuspect;

trait HasBuergelSuspect
{
    /** @var BuergelSuspect */
    protected $suspect;

    public function getSuspect(): BuergelSuspect
    {
        return $this->suspect;
    }

    public function setSuspect(BuergelSuspect $suspect): self
    {
        $this->suspect = $suspect;

        return $this;
    }
}
