<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfClaimHistoryChange extends Struct
{
    /** @var array */
    protected $claimHistoryChanges;

    public function getClaimHistoryChanges(): array
    {
        return $this->claimHistoryChanges;
    }

    public function addPayoutSummary(ClaimHistoryChange $claimHistoryChange): void
    {
        $this->claimHistoryChanges[] = $claimHistoryChange;
    }
}
