<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfClaimHistoryEntry extends Struct
{
    /** @var array */
    protected $claimHistoryEntries;

    public function getClaimHistoryEntries(): array
    {
        return $this->claimHistoryEntries;
    }

    public function addClaimHistoryEntry(ClaimHistoryEntry $claimHistoryEntry): void
    {
        $this->claimHistoryEntries[] = $claimHistoryEntry;
    }
}
