<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfClaimMessage extends Struct
{
    /** @var array */
    protected $claimMessages;

    public function getClaimMessages(): array
    {
        return $this->claimMessages;
    }

    public function addClaimMessage(ClaimMessage $claimMessage): void
    {
        $this->claimMessages[] = $claimMessage;
    }
}
