<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfClaimOption extends Struct
{
    /** @var array */
    protected $claimOptions;

    public function getClaimOptions(): array
    {
        return $this->claimOptions;
    }

    public function addClaimOption(string $claimOption): void
    {
        $this->claimOptions[] = $claimOption;
    }
}
