<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfFileNumber extends Struct
{
    /** @var array */
    protected $fileNumbers;

    public function getFileNumbers(): array
    {
        return $this->fileNumbers;
    }

    public function addFileNumber(string $fileNumber): void
    {
        $this->fileNumbers[] = $fileNumber;
    }

    public function setFileNumbers(array $fileNumbers): void
    {
        $this->fileNumbers = $fileNumbers;
    }
}
