<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfPayoutClaim extends Struct
{
    /** @var array */
    protected $payoutClaims;

    public function getPayoutClaims(): array
    {
        return $this->payoutClaims;
    }

    public function addPayoutSummary(PayoutClaim $payoutClaim): void
    {
        $this->payoutClaims[] = $payoutClaim;
    }
}
