<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimAccountingChanges extends Struct
{
    /** @var string */
    protected $transactionId;

    /** @var ArrayOfFileNumber */
    protected $arrayOfFileNumber;

    public function getTransactionId(): string
    {
        return $this->transactionId;
    }

    public function getArrayOfFileNumber(): ArrayOfFileNumber
    {
        return $this->arrayOfFileNumber;
    }

    public function setTransactionId(string $transactionId): void
    {
        $this->transactionId = $transactionId;
    }

    public function setArrayOfFileNumber(ArrayOfFileNumber $arrayOfFileNumber): void
    {
        $this->arrayOfFileNumber = $arrayOfFileNumber;
    }
}
