<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimStatusChanges extends Struct
{
    /** @var string */
    protected $transactionId;

    /** @var ArrayOfClaimStatusChange */
    protected $changes;

    public function getTransactionId(): string
    {
        return $this->transactionId;
    }

    public function getChanges(): ArrayOfClaimStatusChange
    {
        return $this->changes;
    }

    public function setTransactionId(string $transactionId): void
    {
        $this->transactionId = $transactionId;
    }

    public function setChanges(ArrayOfClaimStatusChange $changes): void
    {
        $this->changes = $changes;
    }
}
