<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class NewClaimResult extends Struct
{
    /** @var string */
    protected $info;

    /** @var ArrayOfError */
    protected $invoiceNumber;

    /** @var string */
    protected $fileNumber;

    public function __construct(array $data = [])
    {
        $this->assign($data);
    }

    public function getInfo(): string
    {
        return $this->info;
    }

    public function setInfo(string $info): void
    {
        $this->info = $info;
    }

    public function getInvoiceNumber(): ArrayOfError
    {
        return $this->invoiceNumber;
    }

    public function setInvoiceNumber(ArrayOfError $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }
}
