<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Builder;

use Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Struct\CommitTransactionRequestStruct;

class CommitTransactionRequestBuilder implements CommitTransactionRequestBuilderInterface
{
    public function getData(string $mediafinanzTransactionId): CommitTransactionRequestStruct
    {
        $result = new CommitTransactionRequestStruct();
        $result->setTransactionId($mediafinanzTransactionId);

        return $result;
    }
}
