<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Builder;

use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimIdentifier;
use Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Struct\ClaimStatusRequestStruct;

class GetClaimStatusRequestBuilder implements GetClaimStatusRequestBuilderInterface
{
    public function getData(string $fileNumber): ClaimStatusRequestStruct
    {
        $result = new ClaimStatusRequestStruct();
        $result->setClaimIdentifier(new ClaimIdentifier($fileNumber));

        return $result;
    }
}
