<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimIdentifier;
use Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Struct\Traits\HasClaimIdentifier;

class ClaimStatusRequestStruct extends Struct
{
    use HasClaimIdentifier;

    /** @var ClaimIdentifier */
    protected $claimIdentifier;
}
