<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Struct\Traits;

use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimIdentifier;

trait HasClaimIdentifier
{
    public function getClaimIdentifier(): ClaimIdentifier
    {
        return $this->claimIdentifier;
    }

    public function setClaimIdentifier(ClaimIdentifier $claimIdentifier): self
    {
        $this->claimIdentifier = $claimIdentifier;

        return $this;
    }
}
