<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Product;

use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\ConCheckBasicScoreRequest;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapRequest;

class BuergelConCheckBasic implements SolvencyProductInterface
{
    public const PRODUCT_NAME = 'buergel_basic';

    public function getProductName(): string
    {
        return self::PRODUCT_NAME;
    }

    public function getRequest(): MediafinanzSoapRequest
    {
        return new ConCheckBasicScoreRequest();
    }
}
