<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Product;

use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\RiskCheckProfessionalScoreRequest;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapRequest;

class BuergelRiskCheckProfessional implements SolvencyProductInterface
{
    public const PRODUCT_NAME = 'risk_professional';

    public function getProductName(): string
    {
        return self::PRODUCT_NAME;
    }

    public function getRequest(): MediafinanzSoapRequest
    {
        return new RiskCheckProfessionalScoreRequest();
    }
}
