<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Rule;

use Mefi\Inkasso\Components\Solvency\Struct\ScoringRule;

interface ScoringRuleProviderInterface
{
    public function getB2cRule(float $price, string $salesChannelId = null): ScoringRule;

    public function getB2bRule(float $price, string $salesChannelId = null): ScoringRule;
}
