<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Validation\Violation;

use Symfony\Component\Validator\ConstraintViolation;

abstract class AbstractScoreViolation extends ConstraintViolation
{
    /** @var null|string */
    protected $originalMessage;

    public function getOriginalMessage(): ?string
    {
        return $this->originalMessage;
    }

    public function setOriginalMessage(?string $message): void
    {
        $this->originalMessage = $message;
    }
}
