<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\Claim;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void             add(ClaimEntity $entity)
 * @method void             set(string $key, ClaimEntity $entity)
 * @method ClaimEntity[]    getIterator()
 * @method ClaimEntity[]    getElements()
 * @method null|ClaimEntity get(string $key)
 * @method null|ClaimEntity first()
 * @method null|ClaimEntity last()
 */
class ClaimEntityCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return ClaimEntity::class;
    }
}
