<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimCustomer;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void                     add(ClaimCustomerEntity $entity)
 * @method void                     set(string $key, ClaimCustomerEntity $entity)
 * @method ClaimCustomerEntity[]    getIterator()
 * @method ClaimCustomerEntity[]    getElements()
 * @method null|ClaimCustomerEntity get(string $key)
 * @method null|ClaimCustomerEntity first()
 * @method null|ClaimCustomerEntity last()
 */
class ClaimCustomerEntityCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return ClaimCustomerEntity::class;
    }
}
