<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimDirectPayment;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void                     add(ClaimDirectPaymentEntity $entity)
 * @method void                     set(string $key, ClaimDirectPaymentEntity $entity)
 * @method ClaimDirectPaymentEntity[]    getIterator()
 * @method ClaimDirectPaymentEntity[]    getElements()
 * @method null|ClaimDirectPaymentEntity get(string $key)
 * @method null|ClaimDirectPaymentEntity first()
 * @method null|ClaimDirectPaymentEntity last()
 */
class ClaimDirectPaymentEntityCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return ClaimDirectPaymentEntity::class;
    }
}
