<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimStatusHistory;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void                          add(ClaimStatusHistoryEntity $entity)
 * @method void                          set(string $key, ClaimStatusHistoryEntity $entity)
 * @method ClaimStatusHistoryEntity[]    getIterator()
 * @method ClaimStatusHistoryEntity[]    getElements()
 * @method null|ClaimStatusHistoryEntity get(string $key)
 * @method null|ClaimStatusHistoryEntity first()
 * @method null|ClaimStatusHistoryEntity last()
 */
class ClaimStatusHistoryCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return ClaimStatusHistoryEntity::class;
    }
}
