<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\SolvencyCheckHistory;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void                            add(SolvencyCheckHistoryEntity $entity)
 * @method void                            set(string $key, SolvencyCheckHistoryEntity $entity)
 * @method SolvencyCheckHistoryEntity[]    getIterator()
 * @method SolvencyCheckHistoryEntity[]    getElements()
 * @method null|SolvencyCheckHistoryEntity get(string $key)
 * @method null|SolvencyCheckHistoryEntity first()
 * @method null|SolvencyCheckHistoryEntity last()
 */
class SolvencyCheckHistoryCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return SolvencyCheckHistoryEntity::class;
    }
}
