<?php declare(strict_types=1);

namespace Mefi\Inkasso\Storefront\Controller;

use Shopware\Core\System\SalesChannel\SalesChannelContext;
use Shopware\Storefront\Controller\StorefrontController;
use Symfony\Component\Routing\Annotation\Route;
use Shopware\Core\Framework\Routing\Annotation\RouteScope;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;


/**
 * @RouteScope(scopes={"storefront"})
 */
class PageController extends StorefrontController
{

    /**
     * @Route("/mefi/inkasso/checkout/notice", name="frontend.checkout.showNotice", options={"seo"="false"}, methods={"GET"}, defaults={"XmlHttpRequest"=true})
     */
    public function showNotice(Request $request, SalesChannelContext $context): Response
    {
        return $this->render(
            '@MefiInkasso/storefront/page/checkout/confirm/credit-check.html.twig',
            [
            ]
        );
    }
}
