<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Storefront\PageExtension;

use Shopware\Core\Framework\Struct\Struct;

class CheckoutPageExtension extends Struct
{
    public const EXTENSION_NAME = 'mediafinanz_checkout';

    /** @var bool */
    protected $isCriticalPaymentMethod;

    public function __construct(bool $isCriticalPaymentMethod)
    {
        $this->isCriticalPaymentMethod = $isCriticalPaymentMethod;
    }

    public function isCriticalPaymentMethod(): bool
    {
        return $this->isCriticalPaymentMethod;
    }
}
