<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Struct;

use Shopware\Core\Framework\Struct\Struct;

class BookDirectPaymentResult extends Struct
{
    /** @var bool */
    protected $success;

    public function __construct(bool $success)
    {
        $this->success = $success;
    }

    public function isSuccess(): bool
    {
        return $this->success;
    }

    public function setSuccess(bool $success): void
    {
        $this->success = $success;
    }
}
