<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Task;

use Shopware\Core\Framework\MessageQueue\ScheduledTask\ScheduledTask;

class ClaimStatusHistorySyncTask extends ScheduledTask
{
    public const TASK_NAME = 'mefi_inkasso.claim_status_sync_task';

    /**
     * The default interval in seconds
     */
    public const DEFAULT_INTERVAL = 3600; // jede Stunde
    public static function getTaskName(): string
    {
        return self::TASK_NAME;
    }

    public static function getDefaultInterval(): int
    {
        return self::DEFAULT_INTERVAL;
    }
}
