<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Partner;

use Shopware\Core\Framework\Validation\DataBag\RequestDataBag;
use Mefi\Inkasso\Components\Partner\Struct\ClientRegistrationResult;
use Mefi\Inkasso\Components\Partner\Struct\RegistrationKeyGenerationResult;

interface PartnerRegistrationServiceInterface
{
    public function registerClient(RequestDataBag $registrationRequestData): ClientRegistrationResult;

    public function generateRegistrationKey(): RegistrationKeyGenerationResult;
}
