<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Builder;

use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\RiskCheckScoreRequestStruct;

interface RiskCheckRequestBuilderInterface
{
    public function getData(OrderAddressEntity $address, string $customerEmail, int $justification, ?string $reference): RiskCheckScoreRequestStruct;
}
