<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits\HasBuergelSuspect;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits\HasJustification;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\Traits\HasReference;

class RiskCheckScoreRequestStruct extends Struct
{
    use HasBuergelSuspect;
    use HasJustification;
    use HasReference;
}
