<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfClaimStatusChange extends Struct
{
    /** @var array */
    protected $claimStatusChanges;

    public function getClaimStatusChanges(): array
    {
        return $this->claimStatusChanges;
    }

    public function addClaimStatusChange(ClaimStatusChange $claimStatusChange): void
    {
        $this->claimStatusChanges[] = $claimStatusChange;
    }
}
