<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfNewClaimMessage extends Struct
{
    /** @var array */
    protected $newClaimMessages;

    public function getNewClaimMessages(): array
    {
        return $this->newClaimMessages;
    }

    public function addNewClaimMessage(NewClaimMessage $newClaimMessage): void
    {
        $this->newClaimMessages[] = $newClaimMessage;
    }
}
