<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ArrayOfPayoutSummary extends Struct
{
    /** @var array */
    protected $payoutSummaries;

    public function getPayoutSummaries(): array
    {
        return $this->payoutSummaries;
    }

    public function addPayoutSummary(PayoutSummary $payoutSummary): void
    {
        $this->payoutSummaries[] = $payoutSummary;
    }
}
