<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimHistoryEntry extends Struct
{
    /** @var DateTime */
    protected $time;

    /** @var string */
    protected $subject;

    /** @var string */
    protected $details;

    public function getTime(): DateTime
    {
        return $this->time;
    }

    public function getSubject(): string
    {
        return $this->subject;
    }

    public function getDetails(): string
    {
        return $this->details;
    }

    public function setTime(DateTime $time): void
    {
        $this->time = $time;
    }

    public function setSubject(string $subject): void
    {
        $this->subject = $subject;
    }

    public function setDetails(string $details): void
    {
        $this->details = $details;
    }
}
