<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimStatus extends Struct
{
    /** @var int */
    protected $statusCode;

    /** @var string */
    protected $statusText;

    /** @var string */
    protected $statusDetails;

    public function __construct(array $data = [])
    {
        $this->assign($data);
    }

    public function getStatusCode(): int
    {
        return $this->statusCode;
    }

    public function getStatusText(): string
    {
        return $this->statusText;
    }

    public function getStatusDetails(): string
    {
        return $this->statusDetails;
    }

    public function setStatusCode(int $statusCode): void
    {
        $this->statusCode = $statusCode;
    }

    public function setStatusText(string $statusText): void
    {
        $this->statusText = $statusText;
    }

    public function setStatusDetails(string $statusDetails): void
    {
        $this->statusDetails = $statusDetails;
    }
}
