<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class NewClaimMessages extends Struct
{
    /** @var string */
    protected $transactionId;

    /** @var ArrayOfNewClaimMessage */
    protected $messages;

    public function getTransactionId(): string
    {
        return $this->transactionId;
    }

    public function getMessages(): ArrayOfNewClaimMessage
    {
        return $this->messages;
    }

    public function setTransactionId(string $transactionId): void
    {
        $this->transactionId = $transactionId;
    }

    public function setMessages(ArrayOfNewClaimMessage $messages): void
    {
        $this->messages = $messages;
    }
}
