<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class PayoutHistory extends Struct
{
    /** @var Date */
    protected $date;

    /** @var Money */
    protected $total;

    /** @var string */
    protected $payoutNumber;

    public function getDate(): Date
    {
        return $this->date;
    }

    public function getTotal(): Money
    {
        return $this->total;
    }

    public function getPayoutNumber(): string
    {
        return $this->payoutNumber;
    }

    public function setDate(Date $date): void
    {
        $this->date = $date;
    }

    public function setTotal(Money $total): void
    {
        $this->total = $total;
    }

    public function setPayoutNumber(string $payoutNumber): void
    {
        $this->payoutNumber = $payoutNumber;
    }
}
