<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class InternalParams extends Struct
{
    /** @var null|string */
    protected $notice;

    /** @var null|string */
    protected $referrer;

    /** @var null|string */
    protected $gclid;

    /** @var null|string */
    protected $tacClaim;

    /** @var null|string */
    protected $tacCreditranking;

    /** @var null|string */
    protected $inputTaxDeduction;

    /** @var null|string */
    protected $returnLoginInformation;

    public function getNotice(): ?string
    {
        return $this->notice;
    }

    public function setNotice(?string $notice): void
    {
        $this->notice = $notice;
    }

    public function getReferrer(): ?string
    {
        return $this->referrer;
    }

    public function setReferrer(?string $referrer): void
    {
        $this->referrer = $referrer;
    }

    public function getGclid(): ?string
    {
        return $this->gclid;
    }

    public function setGclid(?string $gclid): void
    {
        $this->gclid = $gclid;
    }

    public function getTacClaim(): ?string
    {
        return $this->tacClaim;
    }

    public function setTacClaim(?string $tacClaim): void
    {
        $this->tacClaim = $tacClaim;
    }

    public function getTacCreditranking(): ?string
    {
        return $this->tacCreditranking;
    }

    public function setTacCreditranking(?string $tacCreditranking): void
    {
        $this->tacCreditranking = $tacCreditranking;
    }

    public function getInputTaxDeduction(): ?string
    {
        return $this->inputTaxDeduction;
    }

    public function setInputTaxDeduction(?string $inputTaxDeduction): void
    {
        $this->inputTaxDeduction = $inputTaxDeduction;
    }

    public function getReturnLoginInformation(): ?string
    {
        return $this->returnLoginInformation;
    }

    public function setReturnLoginInformation(?string $returnLoginInformation): void
    {
        $this->returnLoginInformation = $returnLoginInformation;
    }
}
