<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\Validation;

use Shopware\Core\Framework\Validation\DataBag\RequestDataBag;

interface RegistrationValidatorInterface
{
    /**
     * Check if the provided data is valid.
     *
     * If valid this method will return an empty string
     * If invalid this method will return the field which is invalid
     */
    public function validate(RequestDataBag $requestDataBag): string;
}
