<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI;

use Shopware\Core\Framework\Struct\Struct;

interface RequestInterface
{
    public function getRequestData(): ?Struct;

    public function setRequestData(?Struct $requestDataStruct): void;

    public function getFunctionName(): string;

    public function normalizeRequestData(): array;
}
