<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI;

use stdClass;
use Mefi\Inkasso\Components\SoapAPI\DataTypes\ErrorCollection;

interface ResponseInterface
{
    public function hasErrors(): bool;

    public function getErrors(): ?ErrorCollection;

    public function getData(): stdClass;
}
