<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Factory;

use Mefi\Inkasso\Components\Solvency\Product\SolvencyProductInterface;

interface SolvencyProductFactoryInterface
{
    public function getProduct(string $name): SolvencyProductInterface;

    public function addProduct(SolvencyProductInterface $product, string $name): void;
}
