<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency;

use Mefi\Inkasso\Components\Solvency\Struct\CustomerInfoStruct;
use Shopware\Core\Checkout\Order\OrderEntity;
use Shopware\Core\Framework\Context;
use Mefi\Inkasso\Components\Solvency\Struct\ScoreResult;

interface OrderSolvencyServiceInterface
{
    public function getScoreFromOrder(CustomerInfoStruct $customerInfoStruct, OrderEntity $order, Context $context): ScoreResult;
}
