<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Product;

use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\ConCheckPlusScoreRequest;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapRequest;

class BuergelConCheckPlus implements SolvencyProductInterface
{
    public const PRODUCT_NAME = 'buergel_plus';

    public function getProductName(): string
    {
        return self::PRODUCT_NAME;
    }

    public function getRequest(): MediafinanzSoapRequest
    {
        return new ConCheckPlusScoreRequest();
    }
}
