<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Product;

use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\RiskCheckStandardScoreRequest;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapRequest;

class BuergelRiskCheck implements SolvencyProductInterface
{
    public const PRODUCT_NAME = 'risk_normal';

    public function getProductName(): string
    {
        return self::PRODUCT_NAME;
    }

    public function getRequest(): MediafinanzSoapRequest
    {
        return new RiskCheckStandardScoreRequest();
    }
}
