<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency;

use Shopware\Core\Framework\Context;

interface ReferenceProviderInterface
{
    /**
     * Returns the reference used for solvency check calls.
     */
    public function getReference(Context $context): ?string;
}
