<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency;

use Shopware\Core\Framework\Context;
use Mefi\Inkasso\Components\Solvency\Struct\CustomerInfoStruct;
use Mefi\Inkasso\Components\Solvency\Struct\ScoreResult;

interface SolvencyScoreAdapterInterface
{
    public function fetchScore(
        CustomerInfoStruct $customerInformation,
        string $mediafinanzProduct,
        float $totalAmount,
        string $salesChannelId,
        int $justification,
        Context $context,
        bool $enableCaching = true
    ): ScoreResult;
}
