<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimDetails;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void                    add(ClaimDetailsEntity $entity)
 * @method void                    set(string $key, ClaimDetailsEntity $entity)
 * @method ClaimDetailsEntity[]    getIterator()
 * @method ClaimDetailsEntity[]    getElements()
 * @method null|ClaimDetailsEntity get(string $key)
 * @method null|ClaimDetailsEntity first()
 * @method null|ClaimDetailsEntity last()
 */
class ClaimDetailsEntityCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return ClaimDetailsEntity::class;
    }
}
