<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\Logger;

use Psr\Log\LoggerInterface;
use Mefi\Inkasso\Components\ConfigReader\ConfigReaderInterface;

interface LoggerFactoryInterface
{
    public function setLogLevel(ConfigReaderInterface $configReader): void;

    public function createLogger(string $filePrefix, ?int $fileRotationCount = null): LoggerInterface;
}
