import template from './mefi-configuration-tab-rating-evaluation.html.twig';

Shopware.Component.register('mefi-configuration-tab-rating-evaluation', {
    template,

    props: {
        fallbackConfig: {},
        config: {},
        isLoading: false
    },

    computed: {
        productDataSourceB2c() {
            return [
                { id: 'none', name: this.$tc('mefi-configuration.products.none') },
                { id: 'buergel_basic', name: this.$tc('mefi-configuration.products.buergel_basic') },
                { id: 'buergel_normal', name: this.$tc('mefi-configuration.products.buergel_normal') },
                { id: 'buergel_plus', name: this.$tc('mefi-configuration.products.buergel_plus') },
                { id: 'schufa', name: this.$tc('mefi-configuration.products.schufa'), disabled: true }
            ];
        },

        productDataSourceB2b() {
            return [
                { id: 'none', name: this.$tc('mefi-configuration.products.none') },
                { id: 'risk_normal', name: this.$tc('mefi-configuration.products.risk_normal') },
                { id: 'risk_advanced', name: this.$tc('mefi-configuration.products.risk_advanced') },
                { id: 'risk_professional', name: this.$tc('mefi-configuration.products.risk_professional') }
            ];
        },

        getProductPlaceholder(product) {
            return this.$tc(`mefi-configuration.products.${product}`);
        }
    }
});
